<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>AJAX ile HTML tablo satırı silinmesi</title>
<link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css"/>
<link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css"/>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
</head>

<body>
<div class="container">
 <div class="row">
  <div class="col-lg-10" style="padding:5px">
  <h3>AJAX ile HTML tablo satırı silinmesi</h3>
  </div>
  </div>
  <div class="row">
  <div class="col-lg-10" style="padding:25px">
  <a href="http://www.bilgisayar.me/index.php/2015/05/27/ajax-ile-html-tablo-satiri-silinmesi/" class="btn btn-danger"><i class="fa fa-arrow-left"></i> Geri Don </a>
  </div>
    <div class="col-lg-10">
      <table class="table table-hover">
        <thead>
          <tr>
            <th>#</th>
            <th>Ad</th>
            <th>Soyad</th>
            <th>Kullanıcı Ismi</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <tr id="sat_1">
            <td>1</td>
            <td>Ali</td>
            <td>Can</td>
            <td>@alican</td>
            <td><a href="#" onclick="satirSil('1','ajax.php','sat_');return false"><i class="fa fa-times"></i></a></td>
          </tr>
          <tr id="sat_2">
            <td>2</td>
            <td>Nalan</td>
            <td>Atil</td>
            <td>@atil</td>
            <td><a href="#" onclick="satirSil('2','ajax.php','sat_');return false"><i class="fa fa-times"></i></a></td>
          </tr>
          <tr id="sat_3">
            <td>3</td>
            <td>Can</td>
            <td>Merv</td>
            <td>@can</td>
            <td><a href="#" onclick="satirSil('3','ajax.php','sat_');return false"><i class="fa fa-times"></i></a></td>
          </tr>
          <tr id="sat_4">
            <td>4</td>
            <td>Mitchell</td>
            <td>Christin</td>
            <td>@mitchell4u</td>
            <td><a href="#" onclick="satirSil('4','ajax.php','sat_');return false"><i class="fa fa-times"></i></a></td>
          </tr>
          <tr id="sat_5">
            <td>5</td>
            <td>Nevzat</td>
            <td>Demir</td>
            <td>@demir</td>
            <td><a href="#" onclick="satirSil('5','ajax.php','sat_');return false"><i class="fa fa-times"></i></a></td>
          </tr>
          <tr id="sat_6">
            <td>6</td>
            <td>Murat</td>
            <td>Tas</td>
            <td>@tas</td>
            <td><a href="#" onclick="satirSil('6','ajax.php','sat_');return false"><i class="fa fa-times"></i></a></td>
          </tr>
          <tr id="sat_7">
            <td>7</td>
            <td>Mustafa</td>
            <td>Ak</td>
            <td>@mak</td>
            <td><a href="#" onclick="satirSil('7','ajax.php','sat_');return false"><i class="fa fa-times"></i></a></td>
          </tr>
          <tr id="sat_8">
            <td>8</td>
            <td>Mehmet</td>
            <td>Solak</td>
            <td>@solak</td>
            <td><a href="#" onclick="satirSil('8','ajax.php','sat_');return false"><i class="fa fa-times"></i></a></td>
          </tr>
        </tbody>
      </table>
    </div>
  </div> <!-- row-->
   <div class="row">
  <div class="col-lg-10" style="padding:25px">
 Bilgisayar.me &copy; Her hakkı saklıdır.
  </div>
  </div>
</div>
<script>
        /*
          museriid: veritabanından gelen satır(row) id
          url: silme isleminin yapılacagı sayfa linki
          satirismi: tablo satır id. örn. sat_ 
                     sat_ değişkendir. Istediginiz isim verilebilir. Ya da boşluk bırakılabilir.
        */
    function satirSil(musteriid,url,satirismi){
    	if (confirm('Eminmisiniz?')) {
    	    $.ajax({
    		type: 'GET', // veya POST
    		url: url, //ajax.php
    		data: 'id=' + musteriid,
    		success: function(html) {
    		    if (satirismi != '') {
    			$("#" + satirismi + musteriid).fadeOut("slow");
                    //alert("Başarı ile silindi");
    		    }
    		}
    	   });	        
    	}
    }
</script>
</body>
</html>